﻿using System.IO;
using Telerik.Web.UI;
using System.Drawing.Imaging;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, System.EventArgs e)
    {
        ImagePlaceHolder.Controls.Add(new RadBinaryImage
        {
            ID = "RadBinaryImage1",
            DataValue = GetImageData(),
            AlternateText = "Chrysanthemum.jpg",
            ToolTip = "Chrysanthemum.jpg",
            ResizeMode = BinaryImageResizeMode.Fit,
            Width = System.Web.UI.WebControls.Unit.Pixel(150),
            Height = System.Web.UI.WebControls.Unit.Pixel(150)
        });
    }

    private byte[] GetImageData()
    {
        using (Image image = Image.FromFile(Server.MapPath("~/Images/Chrysanthemum.jpg")))
        {
            using (var memoryStream = new MemoryStream())
            {
                image.Save(memoryStream, ImageFormat.Jpeg);
                return memoryStream.ToArray();
            }
        }
    }
}
